[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Modulo fglrx/radeon con versiones distintas del kernel



El día 13 de diciembre de 2010 15:46, Felix Perez
<felix.listadebian@gmail.com> escribió:
> El día 13 de diciembre de 2010 11:32, fernando sainz
> <fernandojose.sainz@gmail.com> escribió:
>> El día 13 de diciembre de 2010 15:05, Camaleón <noelamac@gmail.com> escribió:
>>> El Mon, 13 Dec 2010 12:15:27 +0100, fernando sainz escribió:
>>>
>>>> He instalado en Lenny el kernel de backports (2.6.32) y como tengo una
>>>> tarjeta gráfica ATI he intentado compilar el módulo fglrx, pero da
>>>> errores. (los headers del nuevo kernel redefinen tipos... complicado el
>>>> arreglo...)
>>>
>>> ¿No te sirve el driver de ATI que está en el repo "non-free"? :-?
>>>
>> Es el que hay :-) lo que pasa es que cuando intento compilar con los
>> headers del nuevo kernel da errores, no han hecho un backport para
>> ese driver... :-/
>>
>>
>>>> La cosa es que el xorg.conf que tengo, con el nuevo kernel hace que
>>>> ordenador se cuelgue al iniciar las X. Me gustaría saber si hay alguna
>>>> forma 'estandar' de poder tener un xorg.conf distinto en función del
>>>> kernel que arranque, o dentro del xorg.conf alguna opcion para que no
>>>> intente usar el driver fglrx y no se cuelgue...
>>>
>>> Bueno, debería ser suficiente con especificar el driver a cargar en el
>>> archivo "xorg.conf" ("radeon" en este caso, para que cargue el libre).
>>
>> Si el problema es que quiero poder arrancar con el nuevo kernel para usar
>> unas tarjetas wifi no soportadas por el oficial. no me importa que con ese
>> kernel no tenga aceleradora, pero claro es un poco incomodo arrancar con
>> un kernel y cambiar el xorg.conf para luego arrancar el otro y luego
>> restaurar todo.....
>> (No tengo problema en configurar la tarjeta sin aceleración, de hecho
>> funciona sin que ni siquiera exista el xorg.conf...)
>>
>>>
>>>> Ya he pensado e hacer algún 'script' que en el arranque copie el
>>>> xorg.conf correspondiente y cargue el módulo fglrx (quitándolo del
>>>> /etc/modules). (El módulo libre radeon no soporta aceleración con mi
>>>> tarjeta gráfica...)
>>>
>>> (...)
>>>
>>> Pues o usas el radeon o el fglrx o el vesa, no hay más (me parece que el
>>> "radeonhd" no está disponible... ¿o sí?).
>>
>> Busqué y es el 'radeon' el que soporta mi tarjeta.
>> En fin, tampoco es muy grave la cosa :-)
>>
>> Solo pregunté por si acaso había alguna forma de por lo menos
>> evitar el cuelgue... :-)
>>
>
> Y porque no te pasas ya a squeeze??
>

La verdad es que siempre me da mucho respeto el cambio
de versión. Siempre me gusta esperar hasta que está muy
estable la cosa.

Estoy ya muy mayor para sustos... :-)

¿Cómo era eso?
No hagas hoy lo que puedas dejar de hacer también mañana... ;-)


S2

> --
> usuario linux  #274354
> normas de la lista:  http://wiki.debian.org/NormasLista
> como hacer preguntas inteligentes:
> http://www.sindominio.net/ayuda/preguntas-inteligentes.html
>
>
> --
> To UNSUBSCRIBE, email to debian-user-spanish-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: AANLkTimwcZaJjcfPD0NFvi3CEH8MJzHzVwg7nrK1R7_Y@mail.gmail.com">http://lists.debian.org/AANLkTimwcZaJjcfPD0NFvi3CEH8MJzHzVwg7nrK1R7_Y@mail.gmail.com
>
>


Reply to: